package com.logicbig.example;

import org.springframework.beans.BeanWrapper;
import org.springframework.beans.BeanWrapperImpl;

public class BeanWrapperNestedBean {
    public static void main (String[] args) {
        BeanWrapper beanWrapperEmployee = new BeanWrapperImpl(new Employee());
        beanWrapperEmployee.setPropertyValue("name", "Joe");

        BeanWrapper beanWrapperDept = new BeanWrapperImpl(new Department());
        beanWrapperDept.setPropertyValue("deptCode", 1101);
        beanWrapperDept.setPropertyValue("deptName", "IT");

        beanWrapperEmployee.setPropertyValue("department", beanWrapperDept.getWrappedInstance());
        System.out.println(beanWrapperEmployee.getWrappedInstance());
    }
}